aboutsummaryrefslogtreecommitdiffhomepage
path: root/tensorflow/c/generate-pc.sh
diff options
context:
space:
mode:
authorGravatar AdriĆ  Arrufat <arrufat@users.noreply.github.com>2017-05-16 21:25:24 +0200
committerGravatar Rasmus Munk Larsen <rmlarsen@google.com>2017-05-16 12:25:24 -0700
commit3c5e944a8fa14ade68505ca260a65c830c28e707 (patch)
treeb0e7547de7830df9921e2d59a5be3a3e2a2db6c2 /tensorflow/c/generate-pc.sh
parent69433c1f1adef96fde2074b05d3362e88d8587de (diff)
add pkg-config generation script (#9784)
* add pkg-config generation script * add suggestions from asimshankar to generate-pc.sh
Diffstat (limited to 'tensorflow/c/generate-pc.sh')
-rwxr-xr-xtensorflow/c/generate-pc.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/tensorflow/c/generate-pc.sh b/tensorflow/c/generate-pc.sh
new file mode 100755
index 0000000000..ea2eed011c
--- /dev/null
+++ b/tensorflow/c/generate-pc.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+TF_PREFIX='/usr/local'
+
+usage() {
+ echo "Usage: $0 OPTIONS"
+ echo -e "-p, --prefix\tset installation prefix (default: /usr/local)"
+ echo -e "-v, --version\tset TensorFlow version"
+ echo -e "-h, --help\tdisplay this message"
+}
+
+# read the options
+ARGS=`getopt -o p:v:h --long prefix:,version:,help -n $0 -- "$@"`
+eval set -- "$ARGS"
+
+# extract options and their arguments into variables.
+while true ; do
+ case "$1" in
+ -h|--help) usage ; exit ;;
+ -p|--prefix)
+ case "$2" in
+ "") shift 2 ;;
+ *) TF_PREFIX=$2 ; shift 2 ;;
+ esac ;;
+ -v|--version)
+ case "$2" in
+ "") shift 2 ;;
+ *) TF_VERSION=$2 ; shift 2 ;;
+ esac ;;
+ --) shift ; echo "Try '$0 --help' for more information."; exit 1 ;;
+ *) echo "Internal error! Try '$0 --help' for more information." ; exit 1 ;;
+ esac
+done
+
+echo "Generating pkgconfig file for TensorFlow $TF_VERSION in $TF_PREFIX"
+
+cat << EOF > tensorflow.pc
+prefix=${TF_PREFIX}
+exec_prefix=\${prefix}
+libdir=\${exec_prefix}/lib
+includedir=\${prefix}/include
+
+Name: TensorFlow
+Version: ${TF_VERSION}
+Description: Library for computation using data flow graphs for scalable machine learning
+Requires:
+Libs: -L\${libdir} -ltensorflow
+Cflags: -I\${includedir}
+EOF